#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <kpathsea/c-proto.h>

extern char *filename;

/*
extern char *sys_errlist[];
extern int sys_nerr;

#define SYS_ERR         (errno < sys_nerr ? sys_errlist[errno] :\
                        "unknown system error")
*/

#define SYS_ERR         "unknown system error"

#define AND ,

#define FAIL(S) do {                                \
    fprintf(stderr, "%s, %d: " __FILE__, __LINE__); \
    if (filename != NULL)                           \
        fprintf(stderr, "file `%s': ", filename);   \
    fprintf(stderr, "\n");                          \
    fprintf(stderr, S);                             \
    fprintf(stderr, "\n");                          \
    exit(-1);                                       \
} while (0)

#define WARN(S) do {                                \
    fprintf(stderr, "%s, %d: " __FILE__, __LINE__); \
    if (filename != NULL)                           \
        fprintf(stderr, "file `%s': ", filename);   \
    fprintf(stderr, "\n");                          \
    fprintf(stderr, S);                             \
    fprintf(stderr, "\n");                          \
} while (0)

extern char *getstr(char *, int);
extern size_t sfwrite(void *, size_t, size_t, FILE *);
extern long sftell( FILE *);
extern int sfseek(FILE *, long, int);
extern int sfflush(FILE *);
extern void *smalloc(long);
extern char *getstr(char *, int);

#define MALLOC(t,s)     (t *)(smalloc((s)*sizeof(t)))

#define EXTERN extern
#include "pdftexd.h"

#define pdfbuf         dvibuf
#define pdfbufsize     dvibufsize
#define pdffile        dvifile
#define pdfgone        dvigone

#define nozip       0
#define zipwritting 1
#define zipfinish   2
                                
#define pdfout(c) do {        \
    pdfbuf[pdfptr++] = c;     \
    if (pdfptr == pdfbufsize) \
        pdfflush();           \
} while (0)

#define flushstring() do {    \
	strptr--;                 \
	poolptr=strstart[strptr]; \
} while (0)
