# clean.make -- cleaning.
mostlyclean::
	-$(RM) *.obj

clean:: mostlyclean
	-$(RM) $(program) $(programs) squeeze.exe lib$(library).* $(library).lib $(library).exp *.bad
	-$(RM) *.dvi *.lj

distclean:: clean
	-$(RM) Makefile
	-$(RM) config.status config.log config.cache c-auto.h 

# Although we can remake configure and c-auto.h.in, we don't remove
# them, since many people may lack Autoconf.  Use configclean for that.
maintainer-clean:: distclean
	-$(RM) *.info*

extraclean::
# Can't remove *.dvi files, as del removes also Makefile.dviljk ...
	-$(RM) *.aux *.bak *.bbl *.blg *.log *.pl *.tfm *.vf *.vpl *.*gf *.*pk
	-$(RM) *.mpx *.i *.s *~ *.orig  *.rej "#*"
	-$(RM) *.pbi *.pbo *.pbt *gf *.pdb
	-$(RM) CONTENTS.tex a.out core mfput.* texput.* mpout.*

configclean:
	-$(RM) configure c-auto.h.in c-auto.h
# End of clean.make.

# Local Variables:
# mode: Makefile
# End: