# programs.make -- used by Makefiles for executables only.

# If linking against shared libraries, probably need special options.
shared_ldflags = 
library_ldflags = $(conlflags) $(lmap)

# Don't include $(CFLAGS), since ld -g under Linux forces
# static libraries, e.g., libc.a and libX*.a.
LDFLAGS = $(library_ldflags) $(XLDFLAGS)

# proglib is for web2c; 
# XLOADLIBES is for the installer.
LIBS =  $(libc)
LOADLIBES = $(proglib) $(kpathsea_srcdir)\kpathsea.lib $(LIBS)

# May as well separate CCLD from CC.
CCLD = link
link_command = $(CCLD) /OUT:$@ $(LDFLAGS)
kpathsea_link = $(link_command)
dll_command = $(CCLD) /OUT:$@ $(dlllflags) $(ldebug)
# End of programs.make.

# Local Variables:
# mode: Makefile
# End: